unit uMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, StdCtrls,
  FrameEingabe;

type

  { TForm1 }

  TForm1 = class(TForm)
    BuTest: TButton;
    Edit1: TEdit;
    Memo1: TMemo;
    PageControl1: TPageControl;
    TSMain: TTabSheet;
    TSEingabe: TTabSheet;
    procedure BuTestClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    TestFrame : TEingabeFrame;
    procedure SetFrames;
    procedure EingabeFertig(Sender: TObject);
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  SetFrames;
end;

procedure TForm1.BuTestClick(Sender: TObject);
begin
  if Assigned(TestFrame) then begin
    TestFrame.Wert:= Edit1.Text;
    TestFrame.SetFocusEingabe;
    PageControl1.ActivePage := TSEingabe;
    ActiveControl := TestFrame.EdtNum;
  end;
end;

procedure TForm1.SetFrames;
begin
  if not assigned(TestFrame) then begin
    TestFrame := TEingabeFrame.Create(TSEingabe);
    TestFrame.Parent := TSEingabe;
    TestFrame.OnFertig:= @EingabeFertig;
  end;
end;

procedure TForm1.EingabeFertig(Sender: TObject);
begin
  if Assigned(TestFrame) then begin
    Memo1.Append('Ergebnis:' + TestFrame.Wert);
  end;
  PageControl1.ActivePage := TSMain;
end;

end.

